{% extends "operators/base.html" %}{% load i18n static %}
{% block title %}{% trans "Delete vehicle" %} {{ object }}{% endblock %}
{% block content %}
<div class="page-header mb-4">
    <h1>{% trans "Delete vehicle" %} {{ object }}?</h1>
</div>

{% if object.drivershift_set.all %}
<div class="alert alert-warning row mb-4">
    <div class="col-lg-2 text-center">
        <i class="fas fa-exclamation-triangle fa-3x"></i>
    </div>
    <div class="col-lg-10">
        {% blocktrans %}Warning: it's impossible to delete this vehicle because it is assigned to one or more driver shifts.{% endblocktrans %}
    </div>
</div>
<a href="{% url 'operators:vehicles-list' %}" class="btn btn-lg btn-primary">{% trans "Undo and go back" %}</a>
{% else %}
<form action="" method="post">
    {% csrf_token %}
    <a href="{% url 'operators:vehicles-list' %}" class="btn btn-lg btn-primary">{% trans "Undo and go back" %}</a>
    <button type="submit" role="button" class="btn btn-lg btn-danger">{% trans "Delete" %}</button>
</form>
{% endif %}

{% endblock %}